Question

1
Replies
58
Views
VijayM21 Member since 2018 1 post
HSBC Bank PLC
Posted: August 9, 2018
Last activity: August 13, 2018
Closed

Pega 7.3.1 upgrade pzConvertDSSToCORSPolicy related issue

Hi All,

I keep getting hte following error when we upgrade from 7.2.1 to 7.3.1 although it says that the application has been successfully upgraded:

[java] at com.pega.pegarules.internal.bootstrap.PRBootstrap.invokeMethod(PRBootstrap.java:370)

[java] at com.pega.pegarules.internal.bootstrap.PRBootstrap.invokeMethodPropagatingThrowable(PRBootstrap.java:411)

[java] at com.pega.pegarules.boot.internal.extbridge.AppServerBridgeToPega.invokeMethodPropagatingThrowable(AppServerBridgeToPega.java:224)

[java] at com.pega.pegarules.boot.internal.extbridge.AppServerBridgeToPega.invokeMethod(AppServerBridgeToPega.java:273)

[java] ... 1 more

[java] Caused by: com.pega.pegarules.pub.PRException: Activity pzConvertDSSToCORSPolicy failed:

[java] From: (BL88KXW6RGECV0J20K3OQWHAHT1U72591)

[java] at com.pega.pegarules.deploy.internal.util.DeployDataModelImpl.invokeActivity(DeployDataModelImpl.java:374)

[java] at com.pega.pegarules.deploy.internal.util.ContextUpgrader.convertCORSSettings(ContextUpgrader.java:203)

[java] ... 26 more

BUILD FAILED

/appvol/application/NGTW/Upgrade/Pega7.3/scripts/setupDatabase.xml:387: The following error occurred while executing this line:

/appvol/application/NGTW/Upgrade/Pega7.3/scripts/setupDatabase.xml:3251: Java returned: 1

Total time: 47 minutes 41 seconds

2018-07-27 16:31:56,300 ( UpgradeDataModelImpl) INFO - Installed Product Versions:

2018-07-27 16:31:56,301 ( UpgradeDataModelImpl) INFO - {Instance: PEGARULES PROCESS COMMANDER!7.3.1, version: 07-10-26, build name: PRPC-7.3.1-184} (current version)

2018-07-27 16:31:56,302 ( UpgradeDataModelImpl) INFO - {Instance: PEGARULES PROCESS COMMANDER!07-20 ML1, version: 07-10-18, build name: coreAssemblyCached_721_916_filtered}

2018-07-27 16:31:56,303 ( UpgradeDataModelImpl) INFO - {Instance: PEGARULES PROCESS COMMANDER!07-10 ML8, version: null, build name: coreAssemblyCached_718_675}

I ignored the issue as it did say that 7.3.1 is successfully in as the current version is 7.3.1 and the application behaves when we test it. Is it safe to ignore it or there could be something that might break later on ?

I have lost the full logs of upgrade that snippet is the only piece left.

Thanks

Vijay

Low-Code App Development Upgrades
Moderation Team has archived post
Share this page LinkedIn